:root {
    --widget-item-width: 100%!important;
    --widget-item-width_seven: 10em;
}

/* Form and General Admin Styles */
.item-container-form {
    padding: 10px;
    margin: 10px;
    border-radius: 5px;
    background: rgba(0, 0, 0, .05);
}

.item-number-label {
    position: absolute;
    right: 35px;
    top: 0;
    font-family: "adobe-caslon-pro", "serif";
    font-weight: bold;
}

.sp-replacer {
    display: flex !important;
}

.widget-img-container {
    padding: 5px;
    margin: 5px;
}

/* --- 6-Image Widget Specific Styles --- */
.container-widget-item_six {
    display: grid;
    justify-content: center;
    align-items: baseline;
    margin: 1rem;
    width: var(--widget-item-width);
}

.container-widget-item_six a {
    border-bottom: none !important;
}

/* main title */
.container-widget-dynamic-items_six h3 {
    text-align: center;
    margin-bottom: 0px !important;
    font-size: 2em;
    font-weight: bold;
}

.sp-preview {
    height: 1.15em !important;
}

.container-widget-name_six {
    color: black;
    padding-top: 10px;
}

.container-widget-image_six {
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: rgba(38, 57, 77,.5) 0 5px 8px -4px;
    padding: 0;
}

.rectangular-shape-item_six {
    width: var(--widget-item-width);
    border-radius: 4px;
}

.circular-shape-item_six {
    width: var(--widget-item-width);
    border-radius: 50%;
}

.circular-shape-item_six img  {
    width: var(--widget-item-width);
    height: var(--widget-item-width);
    border-radius: 50%;
    object-fit: cover;
}

.rectangular-shape-item_six img  {
    width: var(--widget-item-width);
    object-fit: contain;
}

.widget-img-container img {
    width: 15em;
    height: 15em;
    object-fit: contain;
}

.container-dynamic-items-widget_six:has(.rectangular-shape-item) {
    display: inline-flex;
}

.container-dynamic-items-widget_six {
    display: flex;
    margin: 1rem 0;
    justify-content: center;
    align-content: center;
}

.container-dynamic-items-widget_six:has(.more-than-six) {
    overflow-x: auto;
    display: -webkit-box;
}

@media screen and (max-width: 1400px) {
    .container-dynamic-items-widget_six {
        overflow: auto;
        display: -webkit-box;
    }

    .container-widget-item_six,
    .rectangular-shape-item_six,
    .circular-shape-item_six,
    .rectangular-shape-item_six img {
        width: 11em;
    }

    .circular-shape-item_six img {
        width: 11em;
        height: 11em;
    }
    /* main title */
    .container-widget-dynamic-items_six h3 {
        font-size: 1.7em;
        margin-top: 20px !important;
        margin-bottom: 0px !important;
    }
}

.inline-checkbox-element {
    margin-top: 3em;
    height: 100%;
    display: flex;
    align-items: center;
}

/* --- 7-Image Widget Specific Styles --- */

.container-widget-item_seven {
    display: grid;
    justify-content: center;
    align-items: baseline;
    margin: 1rem;
    width: var(--widget-item-width_seven);
}

/* main title */
.container-widget-dynamic-items_seven h3 {
    text-align: center;
    margin-bottom: 0px !important;
    font-size: 2em;
    font-weight: bold;
}

.container-widget-item_seven a {
    border-bottom: none !important;
}

.container-widget-name_seven {
    color: black;
    padding-top: 10px;
}

.container-widget-image_seven {
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: rgba(38, 57, 77,.5) 0 5px 8px -4px;
    padding: 0;
}

.rectangular-shape-item_seven {
    width: var(--widget-item-width_seven);
    border-radius: 4px;
}

.circular-shape-item_seven {
    width: var(--widget-item-width_seven);
    border-radius: 50%;
}

.circular-shape-item_seven img  {
    width: var(--widget-item-width_seven);
    height: var(--widget-item-width_seven);
    border-radius: 50%;
    object-fit: cover;
}

.rectangular-shape-item_seven img  {
    width: var(--widget-item-width_seven);
    object-fit: contain;
}

.container-dynamic-items-widget_seven:has(.rectangular-shape-item) {
    display: inline-flex;
}

.container-dynamic-items-widget_seven {
    display: flex;
    margin: 1rem 0;    justify-content: center;
    align-content: center;
}

.container-dynamic-items-widget_seven:has(.more-than-six) {
    overflow-x: auto;
    display: -webkit-box;
}

/** 7-Image Widget Mobile **/
@media screen and (max-width: 1400px) {
    .container-dynamic-items-widget_seven {
        overflow: auto;
        display: -webkit-box;
    }

    .container-widget-item_seven,
    .rectangular-shape-item_seven,
    .circular-shape-item_seven,
    .rectangular-shape-item_seven img {
        width: 11em;
    }

    .circular-shape-item_seven img {
        width: 11em;
        height: 11em;
    }

    /* ---the container imgs --- */
    .rectangular-shape-item_seven, .circular-shape-item_seven, .rectangular-shape-item_seven img {
        width: auto;
        height: auto;
    }

    /* main title */
    .container-widget-dynamic-items_seven h3 {
        font-size: 1.7em;
        margin-top: 20px !important;
        margin-bottom: 0px !important;
    }

    /* --single img --*/
    .rectangular-shape-item_seven img {
        object-fit: contain;
        width: auto; 
        height: auto;
        border-radius: 3px;
    }
}